#!/bin/bash

#
#    journal script for keeping 
#   track of what i do and think
#


# it makes sence you add a bash alias like this to your ~/.bashrc
# alias='/path/to/journal.sh /path/to/outputfile.txt'
# do that and you can use journal as follows:
# usage: journal
#        journal read
#        journal edit



#check if output file is given as first option
if [ -z $1 ]; then
    outputfile=journal.txt
else
    outputfile=$1
fi

if [ -z $2 ]; then
    :
else
    if [ $2 = "read" ]; then
        less $outputfile
        exit $?
    elif [ $2 = "edit" ]; then
        vim $outputfile
        exit $? 
    fi
fi


#generating timestamp
timestamp=$(date '+%d.%m.%Y %H:%M')

#read journal entry from stdin
echo "enter oneliner into journal:"; read input

#writing to outputfile
echo "**** $timestamp ****" >> $outputfile
echo $input >> $outputfile
echo "" >> $outputfile

#  ****  end of script  ****
