#!/bin/bash

# simple speedtest logger
# install https://github.com/taganaka/SpeedTest first

server="speedcheck.liwest.at:8080"
options="--output text --test-server $server"
timestamp=$(date +%Y/%m/%d_%H:%M)
cmd="/usr/local/bin/SpeedTest"
result=$($cmd $options | grep -v IP_LAT | grep -v IP_LON | grep -v PROVIDER | grep -v TEST_SERVER_HOST)

echo $timestamp - $result
